-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 3.0 (quilt)
Source: jackson-modules-java8
Binary: libjackson2-modules-java8-java, libjackson2-modules-java8-java-doc
Architecture: all
Version: 2.14.2+ds2-2
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Homepage: https://github.com/FasterXML/jackson-modules-java8
Description: Jackson support modules for Java 8
 Set of support modules for Java 8 datatypes (Optionals, date/time) and
 features (parameter names). When used with Jackson 2.x, Java 8 support is
 provided via 3 separate modules:
 .
   * Parameter names: support for detecting constructor and factory method
     ("creator") parameters without having to use @JsonProperty annotation
     + provides com.fasterxml.jackson.module.paramnames.ParameterNamesModule
 .
    * Java 8 Date/time: support for Java 8 date/time types (specified in
      JSR-310 specification)
      + provides com.fasterxml.jackson.datatype.jsr310.JavaTimeModule
      + ALSO provides legacy variant
        com.fasterxml.jackson.datatype.jsr310.JSR310TimeModule
      + difference between 2 modules is that of configuration defaults:
        use of JavaTimeModule strongly recommended for new code
 .
    * Java 8 Datatypes: support for other new Java 8 datatypes outside of
      date/time: most notably Optional, OptionalLong, OptionalDouble
      + provides com.fasterxml.jackson.datatype.jdk8.Jdk8Module
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/java-team/jackson-modules-java8
Vcs-Git: https://salsa.debian.org/java-team/jackson-modules-java8.git
Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper (>= 2.6)
Build-Depends-Indep: libbuild-helper-maven-plugin-java, libjackson2-annotations-java, libjackson2-core-java, libjackson2-databind-java, libmaven-bundle-plugin-java, libmaven-shade-plugin-java, libreplacer-java, libassertj-core-java <!nocheck>, libmockito-java <!nocheck>, libsurefire-java <!nocheck>, libjackson-json-java-doc <!nodoc>, libjackson2-annotations-java-doc <!nodoc>, libmaven-javadoc-plugin-java <!nodoc>
Package-List:
 libjackson2-modules-java8-java deb java optional arch=all
 libjackson2-modules-java8-java-doc deb doc optional arch=all
Checksums-Sha1:
 7e5998c58f62ec431cb8894ca06599f9b1bc2eeb 97968 jackson-modules-java8_2.14.2+ds2.orig.tar.xz
 0f922345b3614329fd059380b0125ca077a5b7cb 3548 jackson-modules-java8_2.14.2+ds2-2.debian.tar.xz
Checksums-Sha256:
 cadfe317a2b6c56fb608e7436afcd69c04ad57c9cf376969ceaf42506c81f211 97968 jackson-modules-java8_2.14.2+ds2.orig.tar.xz
 0df26765e10053b7c188d4d2f793c374f81503293fcb33ea8ba50d4e383eb714 3548 jackson-modules-java8_2.14.2+ds2-2.debian.tar.xz
Files:
 a0a34c70843b4d667971a15d3e9344b8 97968 jackson-modules-java8_2.14.2+ds2.orig.tar.xz
 494209fb216397815db022a2ef6f6231 3548 jackson-modules-java8_2.14.2+ds2-2.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEcxc7CTsDz7hRCK0UsRvZGQeaO5gFAmP1nuEACgkQsRvZGQea
O5i1wA/9GtopljBj470so3b5n5+W4mrJlMcA57t7lorHFhD565ufg+3FDBbzbon/
YS00rOx7h0eEauatPJ2eiH6+CR1c/cMizThgy12s9Fa3Nz/blslq4QE+s0ZKzeXU
dmShocYHh16SzBQ2Sljoe5zX0jNhSZX0OToqF15dkqYe+7MTc8rklvhY0cBkwQ18
gU1i3BJk2t1YIn1oSjjHPLsXtyDz1A6uZ9UTfdD1gA7eNfd7S7Oo3i61SLs+dhX0
+05w3PCAf7sieocriSNrgSqCZAQYoTP9kFXedDAuUGLN8797UQCz0jUQxiBTrxnB
Oh3HdcMV+0lB+kQe95Olqj5CZsf1L10VdiMQi6aRC+yDgTL+aPOvFSUA4qCjwVjD
ps+vW3MKqI0K681iQd41cYvmNyFq4LV0exWHtDwevo+9pCLYnWtCZNFmijNO4Npv
L5BbdbIkbL7KNBsyXZS8kauV7OH1mOmBsdIteX44UMM+STwyqVz7gIe07Nagskxe
Md9pNaP6mg+mIPbyMqPtEftFjYRU0gJagfMvx5vEiOC/UnA6J+0O1JQF82tpWGeC
sXiHEQCeaLLd3Bhjq3A4BrI9R9S/m3Qe4ffbdPooMUsa9arsuf5RAhK7RXfIWbMX
Shdb3NP2StK4q5MKfGe6ce535Fgz1PziVRT/zfYawc1ijMgFNB8=
=ZrtV
-----END PGP SIGNATURE-----
